*==============================================================================
* Program:			GetSystemDir
* Purpose:			Returns the Windows System directory
* Author:			Doug Hennig
* Copyright:		(c) 2001 Stonefield Systems Group Inc.
* Last revision:	02/08/2001
* Parameters:		none
* Returns:			the Windows System directory
* Environment in:	none
* Environment out:	none
*==============================================================================

local lcBuffer
#define MAX_PATH 260
lcBuffer = space(MAX_PATH)
declare integer GetSystemDirectory in Win32API ;
	string @szBuffer, integer nLength
GetSystemDirectory(@lcBuffer, MAX_PATH)
return addbs(alltrim(left(lcBuffer, at(chr(0), lcBuffer) - 1)))
